VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::TransferStatus Class Reference

The `TransferStatus` enumerated type defines the transfer state of a file. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static TransferStatus[] | GetValues ()
static TransferStatus | ValueOf (string name)
## Static Public Attributes
static readonly TransferStatus | WAITING_FOR_TRANSFER = new TransferStatus("WAITING_FOR_TRANSFER", Values.WAITING_FOR_TRANSFER)
| Indicates that a file has been defined for a library item and its content needs to be uploaded.
static readonly TransferStatus | TRANSFERRING = new TransferStatus("TRANSFERRING", Values.TRANSFERRING)
| Indicates that data is being transferred to the file.
static readonly TransferStatus | READY = new TransferStatus("READY", Values.READY)
| Indicates that the file has been fully transferred and is ready to be used.
static readonly TransferStatus | VALIDATING = new TransferStatus("VALIDATING", Values.VALIDATING)
| Indicates that the file is being validated (checksum, type adapters).
static readonly TransferStatus | ERROR = new TransferStatus("ERROR", Values.ERROR)
| Indicates that there was an error transferring or validating the file.

## Detailed Description

The `TransferStatus` enumerated type defines the transfer state of a file.

## Member Enumeration Documentation

enum vmware::content::library::item::TransferStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  WAITING_FOR_TRANSFER | Indicates that a file has been defined for a library item and its content needs to be uploaded.
  TRANSFERRING | Indicates that data is being transferred to the file.
  READY | Indicates that the file has been fully transferred and is ready to be used.
  VALIDATING | Indicates that the file is being validated (checksum, type adapters).
  ERROR | Indicates that there was an error transferring or validating the file.

## Member Function Documentation

Values vmware::content::library::item::TransferStatus::GetEnumValue | ( |  | ) | `[inline]`

static TransferStatus [] vmware::content::library::item::TransferStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::TransferStatus::IsUnknown | ( |  | ) | `[inline]`

static TransferStatus vmware::content::library::item::TransferStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly TransferStatus vmware::content::library::item::TransferStatus::ERROR = new TransferStatus("ERROR", Values.ERROR)`[static]`

Indicates that there was an error transferring or validating the file.

readonly TransferStatus vmware::content::library::item::TransferStatus::READY = new TransferStatus("READY", Values.READY)`[static]`

Indicates that the file has been fully transferred and is ready to be used.

readonly TransferStatus vmware::content::library::item::TransferStatus::TRANSFERRING = new TransferStatus("TRANSFERRING", Values.TRANSFERRING)`[static]`

Indicates that data is being transferred to the file.

readonly TransferStatus vmware::content::library::item::TransferStatus::VALIDATING = new TransferStatus("VALIDATING", Values.VALIDATING)`[static]`

Indicates that the file is being validated (checksum, type adapters).

readonly TransferStatus vmware::content::library::item::TransferStatus::WAITING_FOR_TRANSFER = new TransferStatus("WAITING_FOR_TRANSFER", Values.WAITING_FOR_TRANSFER)`[static]`

Indicates that a file has been defined for a library item and its content needs to be uploaded.

The documentation for this class was generated from the following file:

- TransferStatus.cs